Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.serialize
Class SerializerToText

    java.lang.Object
      |
      +--weblogic.apache.xalan.serialize.SerializerToXML
            |
            +--weblogic.apache.xalan.serialize.SerializerToText

public class SerializerToText
extends SerializerToXML

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces simple text only.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class weblogic.apache.xalan.serialize.SerializerToXML
`level, m_cdataSectionNames, m_cdataSectionStates, m_charInfo, m_currentIndent, m_disableOutputEscapingStates, m_doIndent, m_elemStack, m_encoding, m_format, m_inCData, m_indentAmount, m_inEntityRef, m_ispreserve, m_isprevtext, m_lineSep, m_lineSepLen, m_maxCharacter, m_pos, m_preserves, m_shouldNotWriteXMLHeader, m_spaceBeforeClose, m_version, m_writer, m_xmlcharInfo`

Constructor Summary
`SerializerToText()` Default constructor.

Method Summary
`void` | `cdata(char[] ch, int start, int length)` Receive notification of cdata.
`void` | `characters(char[] ch, int start, int length)` Receive notification of character data.
`void` | `charactersRaw(char[] ch, int start, int length)` If available, when the disable-output-escaping attribute is used, output raw text without escaping.
`void` | `comment(java.lang.String data)` Called when a Comment is to be constructed.
`void` | `endDocument()` Receive notification of the end of a document.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name)` Receive notification of the end of an element.
`void` | `entityReference(java.lang.String name)` Receive notivication of a entityReference.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Receive notification of ignorable whitespace in element content.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Receive an object for locating the origin of SAX document events.
`void` | `startDocument()` Receive notification of the beginning of a document.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes atts)` Receive notification of the beginning of an element.
`protected int` | `writeUTF16Surrogate(char c, char[] ch, int i, int end)` Once a surrogate has been detected, write the pair as a single character reference.

Methods inherited from class weblogic.apache.xalan.serialize.SerializerToXML
`accum, accum, accum, accumDefaultEntity, accumDefaultEscape, asContentHandler, asDOMSerializer, attributeDecl, canConvert, childNodesWereAdded, comment, CopyFrom, elementDecl, endCDATA, endDTD, endEntity, endNonEscaping, endPrefixMapping, endPreserving, externalEntityDecl, flushWriter, getOutputFormat, getOutputStream, getWriter, indent, init, init, internalEntityDecl, isCDataSection, isEscapingDisabled, openElementForChildren, outputLineSep, printSpace, processAttribute, pushState, reset, serialize, setOutputFormat, setOutputStream, setWriter, shouldIndent, skippedEntity, startCDATA, startDTD, startEntity, startNonEscaping, startPrefixMapping, startPreserving, subPartMatch, writeAttrString, writeParentTagEnd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerToText

    public SerializerToText()

  Default constructor.

Method Detail

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Receive an object for locating the origin of SAX document events.

  SAX parsers are strongly encouraged (though not absolutely required) to supply a locator: if it does so, it must supply the locator to the application by invoking this method before invoking any of the other methods in the DocumentHandler interface.

  The locator allows the application to determine the end position of any document-related event, even if the parser is not reporting an error. Typically, the application will use this information for reporting its own errors (such as character content that does not match an application's business rules). The information returned by the locator is probably not sufficient for use with a search engine.

  Note that the locator will return correct information only during the invocation of the events in this interface. The application should not attempt to use it at any other time.

  Parameters:
    `locator` - An object that can return the location of any SAX document event.
  Overrides:
    setDocumentLocator in class SerializerToXML
  See Also:
    `Locator`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Receive notification of the beginning of a document.

  The SAX parser will invoke this method only once, before any other methods in this interface or in DTDHandler (except for setDocumentLocator).

  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  Overrides:
    startDocument in class SerializerToXML

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Receive notification of the end of a document.

  The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  Overrides:
    endDocument in class SerializerToXML

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String name,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Receive notification of the beginning of an element.

  The Parser will invoke this method at the beginning of every element in the XML document; there will be a corresponding endElement() event for every startElement() event (even when the element is empty). All of the element's content will be reported, in order, before the corresponding endElement() event.

  If the element name has a namespace prefix, the prefix will still be attached. Note that the attribute list provided will contain only attributes with explicit values (specified or defaulted): #IMPLIED attributes will be omitted.

  Parameters:
    `namespaceURI` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - The qualified name (with prefix), or the empty string if qualified names are not available.
    `atts` - The attributes attached to the element, if any.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  Overrides:
    startElement in class SerializerToXML
  See Also:
    `endElement(java.lang.String, java.lang.String, java.lang.String)`, `AttributeList`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String name)
                    throws org.xml.sax.SAXException

  Receive notification of the end of an element.

  The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding startElement() event for every endElement() event (even when the element is empty).

  If the element name has a namespace prefix, the prefix will still be attached to the name.

  Parameters:
    `namespaceURI` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - The qualified name (with prefix), or the empty string if qualified names are not available.
    `name` - The element type name
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  Overrides:
    endElement in class SerializerToXML

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Receive notification of character data.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    characters in class SerializerToXML
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### charactersRaw

    public void charactersRaw(char[] ch,
                              int start,
                              int length)
                       throws org.xml.sax.SAXException

  If available, when the disable-output-escaping attribute is used, output raw text without escaping.

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    charactersRaw in class SerializerToXML

### writeUTF16Surrogate

    protected int writeUTF16Surrogate(char c,
                                      char[] ch,
                                      int i,
                                      int end)
                               throws java.io.IOException,
                                      org.xml.sax.SAXException

  Once a surrogate has been detected, write the pair as a single character reference.

  Parameters:
    `c` - the first part of the surrogate.
    `ch` - Character array.
    `i` - position Where the surrogate was detected.
    `end` - The end index of the significant characters.
  Returns:
    i+1.
  Throws:
    java.io.IOException -
    org.xml.sax.SAXException - if invalid UTF-16 surrogate detected.
  Overrides:
    writeUTF16Surrogate in class SerializerToXML

### cdata

    public void cdata(char[] ch,
                      int start,
                      int length)
               throws org.xml.sax.SAXException

  Receive notification of cdata.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    cdata in class SerializerToXML
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Receive notification of ignorable whitespace in element content.

  Validating Parsers must use this method to report each chunk of ignorable whitespace (see the W3C XML 1.0 recommendation, section 2.10): non-validating parsers may also use this method if they are capable of parsing and using content models.

  SAX parsers may return all contiguous whitespace in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  Overrides:
    ignorableWhitespace in class SerializerToXML
  See Also:
    `characters(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Receive notification of a processing instruction.

  The Parser will invoke this method once for each processing instruction found: note that processing instructions may occur before or after the main document element.

  A SAX parser should never report an XML declaration (XML 1.0, section 2.8) or a text declaration (XML 1.0, section 4.3.1) using this method.

  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none was supplied.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -
  Overrides:
    processingInstruction in class SerializerToXML

### comment

    public void comment(java.lang.String data)
                 throws org.xml.sax.SAXException

  Called when a Comment is to be constructed.

  Parameters:
    `data` - The comment data.
  Throws:
    org.xml.sax.SAXException - Any SAX exception, possibly wrapping another exception.
    org.xml.sax.SAXException -

### entityReference

    public void entityReference(java.lang.String name)
                         throws org.xml.sax.SAXException

  Receive notivication of a entityReference.

  Parameters:
    `name` - non-null reference to the name of the entity.
  Throws:
    org.xml.sax.SAXException -
  Overrides:
    entityReference in class SerializerToXML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference